<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>magpar: GridData Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.3 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>GridData Struct Reference</h1><!-- doxytag: class="GridData" -->
<p><code>#include &lt;<a class="el" href="griddata_8h_source.html">griddata.h</a>&gt;</code></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Data Fields</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">char&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structGridData.html#a2fba16fa768b0451df8fd12ed00a6c6b">simname</a> [256]</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structGridData.html#a4cc9b420611ac5eed22ee3bb2533fde4">inp</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">PetscReal&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structGridData.html#a9eb9246406e97a2a4a8a9c471b11aa2a">time</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structGridData.html#ae420f7fb3d60720f21c5852955b94eae">mode</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">PetscReal&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structGridData.html#adef301a549db3735cb025a5088ee0db6">hscale</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">PetscReal&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structGridData.html#ad7a22de0cb266e66e8dbcb1bb147bae8">tscale</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">PetscReal&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structGridData.html#af5ca6e17784da000ea45ebb5f65ebd03">escale</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">PetscReal&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structGridData.html#a462c4e47756448bdd7578c61697deb6c">lenscale</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">PetscReal&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structGridData.html#a0ced0eaa5cb25c25363907973c7e69d6">totvol</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structGridData.html#aa694f80ac28e20e0d11e13a3db947ed4">equil</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">PetscReal&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structGridData.html#ad44d2e83b58c9fc6b13f7fb3258bc323">vequil</a></td></tr>
<tr><td colspan="2"><div class="groupHeader">global counters of finite element mesh</div></td></tr>
<tr><td colspan="2"><div class="groupText"><p><a class="anchor" id="amgrpa4c0b60f5b854b3e5aace38d75897fb6"></a> </p>
</div></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structGridData.html#a170b7b2a45022cc3d4aaee232844e50c">n_vert</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structGridData.html#a45e64fa5ec485379f8171edbd95c79d9">n_ele</a></td></tr>
<tr><td colspan="2"><div class="groupHeader">local counters (on each processor)</div></td></tr>
<tr><td colspan="2"><div class="groupText"><p><a class="anchor" id="amgrp49c3811f2601d779ed5cb9050db3ad4a"></a> </p>
</div></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structGridData.html#ae08e5326571671a361ae5d761d6ca672">ln_vert</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structGridData.html#aa69a0b0a497df4cbeee604d3de4ff0b1">ln_ele</a></td></tr>
<tr><td colspan="2"><div class="groupHeader">vertex data</div></td></tr>
<tr><td colspan="2"><div class="groupText"><p><a class="anchor" id="amgrpff984363a4e68c26557c2c504f194a62"></a> </p>
</div></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">PetscReal *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structGridData.html#a1adbd5611aad877423d82c0ae9aae5ad">vertxyz</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structGridData.html#a45017e8b920340403c64fa136a33044a">vertl2g</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structGridData.html#a81f9058aeac41c1da988bdd8ca96ad6f">vertnewproc</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">Vec&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structGridData.html#a21683f539bbd0d68c0870cd0ece0de58">vertvol</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structGridData.html#a5b4aaaf0ac71daeb341f45b50b6c744e">vertprop</a></td></tr>
<tr><td colspan="2"><div class="groupHeader">element data</div></td></tr>
<tr><td colspan="2"><div class="groupText"><p><a class="anchor" id="amgrpb03f143aa8f384c5190c6eca4e9d1498"></a> </p>
</div></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structGridData.html#a8622e85fd1e5cf0dedd8960cc80f2e5c">elevert</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structGridData.html#add8d275e857e24934b4873e5746e49b1">eleprop</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structGridData.html#a0ea3bd5c6e334d4f8c85dabd70cdf3ee">elel2g</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structGridData.html#a3d5ee63a7e1af8e60963b7e051b543a3">elenewproc</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">Vec&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structGridData.html#a6415aba4002f4be8541f8f1ee7b9391d">elevol</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">PetscReal&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structGridData.html#a221b259fa149eef6f0982c2b6c9629f2">elenmax</a></td></tr>
<tr><td colspan="2"><div class="groupHeader">surface data</div></td></tr>
<tr><td colspan="2"><div class="groupText"><p><a class="anchor" id="amgrpa070ebb33724e97867ca3ff288e59f67"></a> </p>
</div></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structGridData.html#a916cbd12c058654799cd18db685734c5">n_vert_bnd</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structGridData.html#a0d57327dd6a657273e24613f3edd7fce">n_bnd_fac</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structGridData.html#af59cf93f7a91c270b9f07c2bf2453e25">ln_bnd_fac</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structGridData.html#a61acba7bde22d0fdea2069433662f6b5">vertbndg2bnd</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structGridData.html#a018ce7264f478c6eae964c4a753a796b">bndfacvert</a></td></tr>
<tr><td colspan="2"><div class="groupHeader">material properties</div></td></tr>
<tr><td colspan="2"><div class="groupText"><p><a class="anchor" id="amgrp07fd7e4176924daf3c062766de22f672"></a> </p>
</div></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structGridData.html#a4c7b7cea771dca3b63a4a37b0666ffc5">n_prop</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">PetscReal *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structGridData.html#a3df9afbdf3e91a79a68b52cae80020f4">propdat</a></td></tr>
<tr><td colspan="2"><div class="groupHeader">Matrices and vectors</div></td></tr>
<tr><td colspan="2"><div class="groupText"><p><a class="anchor" id="amgrp8aa2c14b50a796baa22969d3b375b1be"></a> </p>
</div></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">Vec&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structGridData.html#aa8ed194b67f1446b9c299028c1ed0692">M</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">Vec&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structGridData.html#a776aed135c71061b20ec61cdbb39604d">VHdem</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">Vec&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structGridData.html#ac9ae4905283e303be4794e8f222086cb">VMs3</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">PetscReal&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structGridData.html#a93b54f2f6a796c1528054e5b91977287">Edem</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">Vec&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structGridData.html#a17f878ef23cf508f086e5d1958657e3f">VHexchani</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">PetscReal&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structGridData.html#accc6d5863bfdcbf0dde4e412350729b1">Eexchani</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">Vec&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structGridData.html#a9fdfeb31eb70dd07c65f5717feddcdbf">VHext</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">PetscReal&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structGridData.html#a17b4a3f0a4fcf4832fe0004f242a4ecb">Eext</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">Vec&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structGridData.html#a377c12744bdd4ce50a6d4394bd25e49a">VHtot</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">PetscReal&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structGridData.html#a3a7aa0cd7fb9d423a39262c6c0079e62">Etot</a></td></tr>
</table>
<hr/><a name="_details"></a><h2>Detailed Description</h2>

<p>Definition at line <a class="el" href="griddata_8h_source.html#l00141">141</a> of file <a class="el" href="griddata_8h_source.html">griddata.h</a>.</p>
<hr/><h2>Field Documentation</h2>
<a class="anchor" id="a018ce7264f478c6eae964c4a753a796b"></a><!-- doxytag: member="GridData::bndfacvert" ref="a018ce7264f478c6eae964c4a753a796b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int* <a class="el" href="structGridData.html#a018ce7264f478c6eae964c4a753a796b">GridData::bndfacvert</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>table of vertices which belong to each triangular face </p>

<p>Definition at line <a class="el" href="griddata_8h_source.html#l00214">214</a> of file <a class="el" href="griddata_8h_source.html">griddata.h</a>.</p>

<p>Referenced by <a class="el" href="bmatrix_8c_source.html#l00064">BMatrix()</a>, <a class="el" href="destroyinit_8c_source.html#l00029">DataDestroyInit()</a>, <a class="el" href="movedata_8c_source.html#l00030">DataMoveData()</a>, and <a class="el" href="facnb_8c_source.html#l00055">FacNB()</a>.</p>

</div>
</div>
<a class="anchor" id="a93b54f2f6a796c1528054e5b91977287"></a><!-- doxytag: member="GridData::Edem" ref="a93b54f2f6a796c1528054e5b91977287" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">PetscReal <a class="el" href="structGridData.html#a93b54f2f6a796c1528054e5b91977287">GridData::Edem</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>magnetostatic energy </p>

<p>Definition at line <a class="el" href="griddata_8h_source.html#l00250">250</a> of file <a class="el" href="griddata_8h_source.html">griddata.h</a>.</p>

<p>Referenced by <a class="el" href="htot_8c_source.html#l00176">CalcEnergy()</a>, <a class="el" href="checkiterationllg_8c_source.html#l00318">CheckIterationLLG()</a>, <a class="el" href="writelog_8c_source.html#l00206">WriteLogData()</a>, and <a class="el" href="writelog__pid_8c_source.html#l00235">WriteLogPid()</a>.</p>

</div>
</div>
<a class="anchor" id="accc6d5863bfdcbf0dde4e412350729b1"></a><!-- doxytag: member="GridData::Eexchani" ref="accc6d5863bfdcbf0dde4e412350729b1" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">PetscReal <a class="el" href="structGridData.html#accc6d5863bfdcbf0dde4e412350729b1">GridData::Eexchani</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>exchange + uniaxial anisotropy energy </p>

<p>Definition at line <a class="el" href="griddata_8h_source.html#l00252">252</a> of file <a class="el" href="griddata_8h_source.html">griddata.h</a>.</p>

<p>Referenced by <a class="el" href="htot_8c_source.html#l00176">CalcEnergy()</a>, <a class="el" href="writelog_8c_source.html#l00206">WriteLogData()</a>, and <a class="el" href="writelog__pid_8c_source.html#l00235">WriteLogPid()</a>.</p>

</div>
</div>
<a class="anchor" id="a17b4a3f0a4fcf4832fe0004f242a4ecb"></a><!-- doxytag: member="GridData::Eext" ref="a17b4a3f0a4fcf4832fe0004f242a4ecb" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">PetscReal <a class="el" href="structGridData.html#a17b4a3f0a4fcf4832fe0004f242a4ecb">GridData::Eext</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Zeeman energy </p>

<p>Definition at line <a class="el" href="griddata_8h_source.html#l00258">258</a> of file <a class="el" href="griddata_8h_source.html">griddata.h</a>.</p>

<p>Referenced by <a class="el" href="htot_8c_source.html#l00176">CalcEnergy()</a>, <a class="el" href="writelog_8c_source.html#l00206">WriteLogData()</a>, and <a class="el" href="writelog__pid_8c_source.html#l00235">WriteLogPid()</a>.</p>

</div>
</div>
<a class="anchor" id="a0ea3bd5c6e334d4f8c85dabd70cdf3ee"></a><!-- doxytag: member="GridData::elel2g" ref="a0ea3bd5c6e334d4f8c85dabd70cdf3ee" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int* <a class="el" href="structGridData.html#a0ea3bd5c6e334d4f8c85dabd70cdf3ee">GridData::elel2g</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>local to global element id mapping </p>

<p>Definition at line <a class="el" href="griddata_8h_source.html#l00190">190</a> of file <a class="el" href="griddata_8h_source.html">griddata.h</a>.</p>

<p>Referenced by <a class="el" href="movedata_8c_source.html#l00030">DataMoveData()</a>, <a class="el" href="parteleser_8c_source.html#l00104">DataPartitionElementsSer()</a>, <a class="el" href="elevertvol_8c_source.html#l00178">EleVertVol()</a>, <a class="el" href="parteleser_8c_source.html#l00038">MetisPartition()</a>, <a class="el" href="reorder_8c_source.html#l00231">OptimizeBandwidth()</a>, <a class="el" href="reorder_8c_source.html#l00112">PermuteData()</a>, <a class="el" href="reorder_8c_source.html#l00399">Reorder()</a>, <a class="el" href="reorder_8c_source.html#l00326">TrivialPartitioning()</a>, <a class="el" href="writedataavs_8c_source.html#l00055">WriteAVS()</a>, and <a class="el" href="writefemavs_8c_source.html#l00044">WriteFEMAVS()</a>.</p>

</div>
</div>
<a class="anchor" id="a3d5ee63a7e1af8e60963b7e051b543a3"></a><!-- doxytag: member="GridData::elenewproc" ref="a3d5ee63a7e1af8e60963b7e051b543a3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int* <a class="el" href="structGridData.html#a3d5ee63a7e1af8e60963b7e051b543a3">GridData::elenewproc</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>assignment of elements to new processors </p>

<p>Definition at line <a class="el" href="griddata_8h_source.html#l00191">191</a> of file <a class="el" href="griddata_8h_source.html">griddata.h</a>.</p>

<p>Referenced by <a class="el" href="reorder_8c_source.html#l00030">CheckPartition()</a>, <a class="el" href="movedata_8c_source.html#l00030">DataMoveData()</a>, <a class="el" href="parteleser_8c_source.html#l00104">DataPartitionElementsSer()</a>, <a class="el" href="parteleser_8c_source.html#l00038">MetisPartition()</a>, <a class="el" href="reorder_8c_source.html#l00231">OptimizeBandwidth()</a>, <a class="el" href="reorder_8c_source.html#l00112">PermuteData()</a>, <a class="el" href="reorder_8c_source.html#l00399">Reorder()</a>, and <a class="el" href="reorder_8c_source.html#l00326">TrivialPartitioning()</a>.</p>

</div>
</div>
<a class="anchor" id="a221b259fa149eef6f0982c2b6c9629f2"></a><!-- doxytag: member="GridData::elenmax" ref="a221b259fa149eef6f0982c2b6c9629f2" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">PetscReal <a class="el" href="structGridData.html#a221b259fa149eef6f0982c2b6c9629f2">GridData::elenmax</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>maximum edge length (vertex to vertex) in the mesh </p>

<p>Definition at line <a class="el" href="griddata_8h_source.html#l00193">193</a> of file <a class="el" href="griddata_8h_source.html">griddata.h</a>.</p>

<p>Referenced by <a class="el" href="elevertvol_8c_source.html#l00178">EleVertVol()</a>, and <a class="el" href="writedatadat_8c_source.html#l00042">WriteDatInit()</a>.</p>

</div>
</div>
<a class="anchor" id="add8d275e857e24934b4873e5746e49b1"></a><!-- doxytag: member="GridData::eleprop" ref="add8d275e857e24934b4873e5746e49b1" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int* <a class="el" href="structGridData.html#add8d275e857e24934b4873e5746e49b1">GridData::eleprop</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>property id assigned to each element </p>

<p>Definition at line <a class="el" href="griddata_8h_source.html#l00189">189</a> of file <a class="el" href="griddata_8h_source.html">griddata.h</a>.</p>

<p>Referenced by <a class="el" href="bbox2_8c_source.html#l00029">bbox2()</a>, <a class="el" href="calAfe2fe_8c_source.html#l00029">CalAfe2fe()</a>, <a class="el" href="calAfe2sq_8c_source.html#l00068">CalAfe2sq()</a>, <a class="el" href="movedata_8c_source.html#l00030">DataMoveData()</a>, <a class="el" href="elevertvol_8c_source.html#l00178">EleVertVol()</a>, <a class="el" href="hdemag_8c_source.html#l00067">Hdemag_Init()</a>, <a class="el" href="hexch__ani_8c_source.html#l00044">Hexchani_Init()</a>, <a class="el" href="hext__ho_8c_source.html#l00201">Hext_ho_Init()</a>, <a class="el" href="modifyprop__par_8c_source.html#l00030">ModifyPropPar()</a>, <a class="el" href="modifyprop__ser_8c_source.html#l00031">ModifyPropSer()</a>, <a class="el" href="reorder_8c_source.html#l00112">PermuteData()</a>, <a class="el" href="area_8c_source.html#l00114">PidSharedArea()</a>, <a class="el" href="readpatran_8c_source.html#l00031">ReadPatran()</a>, <a class="el" href="regrefine_8c_source.html#l00030">RegularRefinement()</a>, <a class="el" href="serinit_8c_source.html#l00034">SerInit()</a>, <a class="el" href="vertprop_8c_source.html#l00029">VertProp()</a>, <a class="el" href="writedataavs_8c_source.html#l00055">WriteAVS()</a>, <a class="el" href="writefemavs_8c_source.html#l00044">WriteFEMAVS()</a>, and <a class="el" href="writelog__pid_8c_source.html#l00050">WriteLogPidInit()</a>.</p>

</div>
</div>
<a class="anchor" id="a8622e85fd1e5cf0dedd8960cc80f2e5c"></a><!-- doxytag: member="GridData::elevert" ref="a8622e85fd1e5cf0dedd8960cc80f2e5c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int* <a class="el" href="structGridData.html#a8622e85fd1e5cf0dedd8960cc80f2e5c">GridData::elevert</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>each element's corner vertices (global ids) </p>

<p>Definition at line <a class="el" href="griddata_8h_source.html#l00188">188</a> of file <a class="el" href="griddata_8h_source.html">griddata.h</a>.</p>

<p>Referenced by <a class="el" href="bbox2_8c_source.html#l00029">bbox2()</a>, <a class="el" href="calAfe2fe_8c_source.html#l00029">CalAfe2fe()</a>, <a class="el" href="calAfe2sq_8c_source.html#l00068">CalAfe2sq()</a>, <a class="el" href="reorder_8c_source.html#l00030">CheckPartition()</a>, <a class="el" href="movedata_8c_source.html#l00030">DataMoveData()</a>, <a class="el" href="distortmesh_8c_source.html#l00029">DistortMesh()</a>, <a class="el" href="elevertvol_8c_source.html#l00178">EleVertVol()</a>, <a class="el" href="facnb_8c_source.html#l00055">FacNB()</a>, <a class="el" href="hdemag_8c_source.html#l00067">Hdemag_Init()</a>, <a class="el" href="hexch__ani_8c_source.html#l00044">Hexchani_Init()</a>, <a class="el" href="hext__ho_8c_source.html#l00201">Hext_ho_Init()</a>, <a class="el" href="parteleser_8c_source.html#l00038">MetisPartition()</a>, <a class="el" href="modifyprop__par_8c_source.html#l00030">ModifyPropPar()</a>, <a class="el" href="modifyprop__ser_8c_source.html#l00031">ModifyPropSer()</a>, <a class="el" href="reorder_8c_source.html#l00231">OptimizeBandwidth()</a>, <a class="el" href="reorder_8c_source.html#l00112">PermuteData()</a>, <a class="el" href="area_8c_source.html#l00114">PidSharedArea()</a>, <a class="el" href="precond_8c_source.html#l00036">Precond_Init()</a>, <a class="el" href="readmesh_8c_source.html#l00029">ReadMesh()</a>, <a class="el" href="readpatran_8c_source.html#l00031">ReadPatran()</a>, <a class="el" href="regrefine_8c_source.html#l00030">RegularRefinement()</a>, <a class="el" href="serinit_8c_source.html#l00034">SerInit()</a>, <a class="el" href="bmatrix_8c_source.html#l00028">VertBSA()</a>, <a class="el" href="vertprop_8c_source.html#l00029">VertProp()</a>, <a class="el" href="writedataavs_8c_source.html#l00055">WriteAVS()</a>, <a class="el" href="writedatadat_8c_source.html#l00042">WriteDatInit()</a>, <a class="el" href="writefemavs_8c_source.html#l00044">WriteFEMAVS()</a>, and <a class="el" href="writelog__pid_8c_source.html#l00050">WriteLogPidInit()</a>.</p>

</div>
</div>
<a class="anchor" id="a6415aba4002f4be8541f8f1ee7b9391d"></a><!-- doxytag: member="GridData::elevol" ref="a6415aba4002f4be8541f8f1ee7b9391d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Vec <a class="el" href="structGridData.html#a6415aba4002f4be8541f8f1ee7b9391d">GridData::elevol</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>element volumes </p>

<p>Definition at line <a class="el" href="griddata_8h_source.html#l00192">192</a> of file <a class="el" href="griddata_8h_source.html">griddata.h</a>.</p>

<p>Referenced by <a class="el" href="elevertvol_8c_source.html#l00178">EleVertVol()</a>, <a class="el" href="hdemag_8c_source.html#l00067">Hdemag_Init()</a>, <a class="el" href="hexch__ani_8c_source.html#l00044">Hexchani_Init()</a>, <a class="el" href="hext__ho_8c_source.html#l00201">Hext_ho_Init()</a>, <a class="el" href="area_8c_source.html#l00114">PidSharedArea()</a>, <a class="el" href="precond_8c_source.html#l00036">Precond_Init()</a>, <a class="el" href="writefemavs_8c_source.html#l00044">WriteFEMAVS()</a>, and <a class="el" href="writelog__pid_8c_source.html#l00050">WriteLogPidInit()</a>.</p>

</div>
</div>
<a class="anchor" id="aa694f80ac28e20e0d11e13a3db947ed4"></a><!-- doxytag: member="GridData::equil" ref="aa694f80ac28e20e0d11e13a3db947ed4" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structGridData.html#aa694f80ac28e20e0d11e13a3db947ed4">GridData::equil</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>equilibrium reached ? equil++ : equil=0 </p>

<p>Definition at line <a class="el" href="griddata_8h_source.html#l00264">264</a> of file <a class="el" href="griddata_8h_source.html">griddata.h</a>.</p>

<p>Referenced by <a class="el" href="checkiterationemini_8c_source.html#l00071">CheckIterationEmini()</a>, <a class="el" href="checkiterationllg_8c_source.html#l00318">CheckIterationLLG()</a>, <a class="el" href="eminisolve_8c_source.html#l00466">EminiSolve()</a>, <a class="el" href="hext__ho_8c_source.html#l00067">Hext_ho_hstep()</a>, <a class="el" href="parinit_8c_source.html#l00054">ParInit()</a>, <a class="el" href="main_8c_source.html#l00285">Solve()</a>, and <a class="el" href="writelog_8c_source.html#l00206">WriteLogData()</a>.</p>

</div>
</div>
<a class="anchor" id="af5ca6e17784da000ea45ebb5f65ebd03"></a><!-- doxytag: member="GridData::escale" ref="af5ca6e17784da000ea45ebb5f65ebd03" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">PetscReal <a class="el" href="structGridData.html#af5ca6e17784da000ea45ebb5f65ebd03">GridData::escale</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>scaling factor for energy </p>

<p>Definition at line <a class="el" href="griddata_8h_source.html#l00151">151</a> of file <a class="el" href="griddata_8h_source.html">griddata.h</a>.</p>

<p>Referenced by <a class="el" href="checkiterationllg_8c_source.html#l00318">CheckIterationLLG()</a>, <a class="el" href="eminisolve_8c_source.html#l00191">ConvTest()</a>, <a class="el" href="hexch__ani_8c_source.html#l00044">Hexchani_Init()</a>, <a class="el" href="readkrn_8c_source.html#l00073">ReadKrn()</a>, <a class="el" href="writelog_8c_source.html#l00206">WriteLogData()</a>, <a class="el" href="writelog__pid_8c_source.html#l00235">WriteLogPid()</a>, <a class="el" href="writedatapng_8c_source.html#l00168">WritePNG()</a>, and <a class="el" href="writedatapng2_8c_source.html#l00168">WritePNG2()</a>.</p>

</div>
</div>
<a class="anchor" id="a3a7aa0cd7fb9d423a39262c6c0079e62"></a><!-- doxytag: member="GridData::Etot" ref="a3a7aa0cd7fb9d423a39262c6c0079e62" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">PetscReal <a class="el" href="structGridData.html#a3a7aa0cd7fb9d423a39262c6c0079e62">GridData::Etot</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>total energy </p>

<p>Definition at line <a class="el" href="griddata_8h_source.html#l00260">260</a> of file <a class="el" href="griddata_8h_source.html">griddata.h</a>.</p>

<p>Referenced by <a class="el" href="htot_8c_source.html#l00176">CalcEnergy()</a>, <a class="el" href="checkiterationllg_8c_source.html#l00318">CheckIterationLLG()</a>, <a class="el" href="eminisolve_8c_source.html#l00191">ConvTest()</a>, <a class="el" href="htot_8c_source.html#l00228">Htot_EminiEnergy()</a>, <a class="el" href="eminisolve_8c_source.html#l00076">TaoEvalEnergyGrad()</a>, <a class="el" href="writelog_8c_source.html#l00206">WriteLogData()</a>, <a class="el" href="writelog__pid_8c_source.html#l00235">WriteLogPid()</a>, <a class="el" href="writedatapng_8c_source.html#l00168">WritePNG()</a>, and <a class="el" href="writedatapng2_8c_source.html#l00168">WritePNG2()</a>.</p>

</div>
</div>
<a class="anchor" id="adef301a549db3735cb025a5088ee0db6"></a><!-- doxytag: member="GridData::hscale" ref="adef301a549db3735cb025a5088ee0db6" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">PetscReal <a class="el" href="structGridData.html#adef301a549db3735cb025a5088ee0db6">GridData::hscale</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>scaling factor of all fields and magnetization to dimensionless units </p>

<p>Definition at line <a class="el" href="griddata_8h_source.html#l00149">149</a> of file <a class="el" href="griddata_8h_source.html">griddata.h</a>.</p>

<p>Referenced by <a class="el" href="elevertvol_8c_source.html#l00178">EleVertVol()</a>, <a class="el" href="helastic_8c_source.html#l00186">Helastic()</a>, <a class="el" href="hext__ho_8c_source.html#l00067">Hext_ho_hstep()</a>, <a class="el" href="hext__ho_8c_source.html#l00102">Hext_ho_hsweep()</a>, <a class="el" href="hext__ho_8c_source.html#l00201">Hext_ho_Init()</a>, <a class="el" href="hext__kq_8c_source.html#l00056">Hext_kq_Init()</a>, <a class="el" href="readkrn_8c_source.html#l00073">ReadKrn()</a>, <a class="el" href="writedataavs_8c_source.html#l00055">WriteAVS()</a>, <a class="el" href="writedatadat_8c_source.html#l00380">WriteDat()</a>, <a class="el" href="writefemavs_8c_source.html#l00044">WriteFEMAVS()</a>, and <a class="el" href="writelog_8c_source.html#l00206">WriteLogData()</a>.</p>

</div>
</div>
<a class="anchor" id="a4cc9b420611ac5eed22ee3bb2533fde4"></a><!-- doxytag: member="GridData::inp" ref="a4cc9b420611ac5eed22ee3bb2533fde4" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structGridData.html#a4cc9b420611ac5eed22ee3bb2533fde4">GridData::inp</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>number of AVS inp file (initially read or next number to be written) </p>

<p>Definition at line <a class="el" href="griddata_8h_source.html#l00143">143</a> of file <a class="el" href="griddata_8h_source.html">griddata.h</a>.</p>

<p>Referenced by <a class="el" href="checkiterationemini_8c_source.html#l00071">CheckIterationEmini()</a>, <a class="el" href="checkiterationllg_8c_source.html#l00318">CheckIterationLLG()</a>, <a class="el" href="eminisolve_8c_source.html#l00191">ConvTest()</a>, <a class="el" href="elevertvol_8c_source.html#l00178">EleVertVol()</a>, <a class="el" href="eminisolve_8c_source.html#l00466">EminiSolve()</a>, <a class="el" href="main_8c_source.html#l00146">keepsolving()</a>, <a class="el" href="magset_8c_source.html#l00031">MagSet()</a>, <a class="el" href="parinit_8c_source.html#l00054">ParInit()</a>, <a class="el" href="readmesh_8c_source.html#l00029">ReadMesh()</a>, <a class="el" href="serinit_8c_source.html#l00034">SerInit()</a>, <a class="el" href="main_8c_source.html#l00285">Solve()</a>, <a class="el" href="writedataavs_8c_source.html#l00055">WriteAVS()</a>, <a class="el" href="writedatadat_8c_source.html#l00380">WriteDat()</a>, <a class="el" href="writedatadat_8c_source.html#l00042">WriteDatInit()</a>, <a class="el" href="writefemavs_8c_source.html#l00044">WriteFEMAVS()</a>, <a class="el" href="writelog_8c_source.html#l00206">WriteLogData()</a>, <a class="el" href="writedatapng_8c_source.html#l00168">WritePNG()</a>, <a class="el" href="writedatapng2_8c_source.html#l00168">WritePNG2()</a>, and <a class="el" href="writedata_8c_source.html#l00036">WriteSet()</a>.</p>

</div>
</div>
<a class="anchor" id="a462c4e47756448bdd7578c61697deb6c"></a><!-- doxytag: member="GridData::lenscale" ref="a462c4e47756448bdd7578c61697deb6c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">PetscReal <a class="el" href="structGridData.html#a462c4e47756448bdd7578c61697deb6c">GridData::lenscale</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>scaling factor for length </p>

<p>Definition at line <a class="el" href="griddata_8h_source.html#l00152">152</a> of file <a class="el" href="griddata_8h_source.html">griddata.h</a>.</p>

<p>Referenced by <a class="el" href="hext__kq_8c_source.html#l00056">Hext_kq_Init()</a>, and <a class="el" href="readkrn_8c_source.html#l00073">ReadKrn()</a>.</p>

</div>
</div>
<a class="anchor" id="af59cf93f7a91c270b9f07c2bf2453e25"></a><!-- doxytag: member="GridData::ln_bnd_fac" ref="af59cf93f7a91c270b9f07c2bf2453e25" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structGridData.html#af59cf93f7a91c270b9f07c2bf2453e25">GridData::ln_bnd_fac</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>local number of faces on the boundary </p>

<p>Definition at line <a class="el" href="griddata_8h_source.html#l00212">212</a> of file <a class="el" href="griddata_8h_source.html">griddata.h</a>.</p>

<p>Referenced by <a class="el" href="bmatrix_8c_source.html#l00064">BMatrix()</a>, <a class="el" href="movedata_8c_source.html#l00030">DataMoveData()</a>, and <a class="el" href="facnb_8c_source.html#l00055">FacNB()</a>.</p>

</div>
</div>
<a class="anchor" id="aa69a0b0a497df4cbeee604d3de4ff0b1"></a><!-- doxytag: member="GridData::ln_ele" ref="aa69a0b0a497df4cbeee604d3de4ff0b1" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structGridData.html#aa69a0b0a497df4cbeee604d3de4ff0b1">GridData::ln_ele</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>local number of elements </p>

<p>Definition at line <a class="el" href="griddata_8h_source.html#l00172">172</a> of file <a class="el" href="griddata_8h_source.html">griddata.h</a>.</p>

<p>Referenced by <a class="el" href="bbox2_8c_source.html#l00029">bbox2()</a>, <a class="el" href="calAfe2fe_8c_source.html#l00029">CalAfe2fe()</a>, <a class="el" href="calAfe2sq_8c_source.html#l00068">CalAfe2sq()</a>, <a class="el" href="movedata_8c_source.html#l00030">DataMoveData()</a>, <a class="el" href="distortmesh_8c_source.html#l00029">DistortMesh()</a>, <a class="el" href="elevertvol_8c_source.html#l00178">EleVertVol()</a>, <a class="el" href="hdemag_8c_source.html#l00067">Hdemag_Init()</a>, <a class="el" href="hexch__ani_8c_source.html#l00044">Hexchani_Init()</a>, <a class="el" href="hext__ho_8c_source.html#l00201">Hext_ho_Init()</a>, <a class="el" href="modifyprop__par_8c_source.html#l00030">ModifyPropPar()</a>, <a class="el" href="area_8c_source.html#l00114">PidSharedArea()</a>, <a class="el" href="precond_8c_source.html#l00036">Precond_Init()</a>, <a class="el" href="readinp_8c_source.html#l00031">ReadINP()</a>, <a class="el" href="readpatran_8c_source.html#l00031">ReadPatran()</a>, <a class="el" href="regrefine_8c_source.html#l00030">RegularRefinement()</a>, <a class="el" href="serinit_8c_source.html#l00034">SerInit()</a>, <a class="el" href="bmatrix_8c_source.html#l00028">VertBSA()</a>, <a class="el" href="writedataavs_8c_source.html#l00055">WriteAVS()</a>, <a class="el" href="writedatadat_8c_source.html#l00042">WriteDatInit()</a>, <a class="el" href="writefemavs_8c_source.html#l00044">WriteFEMAVS()</a>, and <a class="el" href="writelog__pid_8c_source.html#l00050">WriteLogPidInit()</a>.</p>

</div>
</div>
<a class="anchor" id="ae08e5326571671a361ae5d761d6ca672"></a><!-- doxytag: member="GridData::ln_vert" ref="ae08e5326571671a361ae5d761d6ca672" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structGridData.html#ae08e5326571671a361ae5d761d6ca672">GridData::ln_vert</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>local number of vertices </p>

<p>Definition at line <a class="el" href="griddata_8h_source.html#l00171">171</a> of file <a class="el" href="griddata_8h_source.html">griddata.h</a>.</p>

<p>Referenced by <a class="el" href="bmatrix_8c_source.html#l00064">BMatrix()</a>, <a class="el" href="calAfe2fe_8c_source.html#l00029">CalAfe2fe()</a>, <a class="el" href="calAfe2sq_8c_source.html#l00068">CalAfe2sq()</a>, <a class="el" href="calAsq2fe_8c_source.html#l00029">CalAsq2fe()</a>, <a class="el" href="calc__dMdt_8c_source.html#l00034">calc_dMdt()</a>, <a class="el" href="movedata_8c_source.html#l00030">DataMoveData()</a>, <a class="el" href="distortmesh_8c_source.html#l00029">DistortMesh()</a>, <a class="el" href="elevertvol_8c_source.html#l00178">EleVertVol()</a>, <a class="el" href="eminisolve_8c_source.html#l00466">EminiSolve()</a>, <a class="el" href="hcubic_8c_source.html#l00064">Hcubic()</a>, <a class="el" href="hdemag_8c_source.html#l00067">Hdemag_Init()</a>, <a class="el" href="helastic_8c_source.html#l00186">Helastic()</a>, <a class="el" href="helastic_8c_source.html#l00105">Helastic_Init()</a>, <a class="el" href="hexch__ani_8c_source.html#l00044">Hexchani_Init()</a>, <a class="el" href="hext__cu_8c_source.html#l00034">Hext_cu_Init()</a>, <a class="el" href="hext__kq_8c_source.html#l00056">Hext_kq_Init()</a>, <a class="el" href="hext__py_8c_source.html#l00036">Hext_py_Init()</a>, <a class="el" href="htot_8c_source.html#l00096">Htot_Gradient()</a>, <a class="el" href="maginit_8c_source.html#l00029">MagInit()</a>, <a class="el" href="myllgjacobian_8c_source.html#l00033">myLLGJacobian()</a>, <a class="el" href="eminisolve_8c_source.html#l00306">myTSCreateEmini()</a>, <a class="el" href="mytscreatepvode_8c_source.html#l00308">myTSCreatePVode()</a>, <a class="el" href="precond_8c_source.html#l00036">Precond_Init()</a>, <a class="el" href="readinp_8c_source.html#l00031">ReadINP()</a>, <a class="el" href="readpatran_8c_source.html#l00031">ReadPatran()</a>, <a class="el" href="regrefine_8c_source.html#l00030">RegularRefinement()</a>, <a class="el" href="serinit_8c_source.html#l00034">SerInit()</a>, <a class="el" href="eminisolve_8c_source.html#l00076">TaoEvalEnergyGrad()</a>, <a class="el" href="writedataavs_8c_source.html#l00055">WriteAVS()</a>, <a class="el" href="writedatadat_8c_source.html#l00042">WriteDatInit()</a>, <a class="el" href="writefemavs_8c_source.html#l00044">WriteFEMAVS()</a>, <a class="el" href="writelog_8c_source.html#l00061">WriteLogInit()</a>, and <a class="el" href="writelog__pid_8c_source.html#l00050">WriteLogPidInit()</a>.</p>

</div>
</div>
<a class="anchor" id="aa8ed194b67f1446b9c299028c1ed0692"></a><!-- doxytag: member="GridData::M" ref="aa8ed194b67f1446b9c299028c1ed0692" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Vec <a class="el" href="structGridData.html#aa8ed194b67f1446b9c299028c1ed0692">GridData::M</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>magnetization </p>

<p>Definition at line <a class="el" href="griddata_8h_source.html#l00247">247</a> of file <a class="el" href="griddata_8h_source.html">griddata.h</a>.</p>

<p>Referenced by <a class="el" href="calAfe2fe_8c_source.html#l00029">CalAfe2fe()</a>, <a class="el" href="calAsq2fe_8c_source.html#l00029">CalAsq2fe()</a>, <a class="el" href="calc__dMdt_8c_source.html#l00034">calc_dMdt()</a>, <a class="el" href="htot_8c_source.html#l00176">CalcEnergy()</a>, <a class="el" href="checkiterationemini_8c_source.html#l00071">CheckIterationEmini()</a>, <a class="el" href="checkiterationllg_8c_source.html#l00318">CheckIterationLLG()</a>, <a class="el" href="eminisolve_8c_source.html#l00191">ConvTest()</a>, <a class="el" href="movedata_8c_source.html#l00030">DataMoveData()</a>, <a class="el" href="elevertvol_8c_source.html#l00178">EleVertVol()</a>, <a class="el" href="eminisolve_8c_source.html#l00466">EminiSolve()</a>, <a class="el" href="hcubic_8c_source.html#l00064">Hcubic()</a>, <a class="el" href="hcubic_8c_source.html#l00037">Hcubic_Init()</a>, <a class="el" href="hdemag_8c_source.html#l00774">Hdemag()</a>, <a class="el" href="hdemag_8c_source.html#l00067">Hdemag_Init()</a>, <a class="el" href="helastic_8c_source.html#l00186">Helastic()</a>, <a class="el" href="helastic_8c_source.html#l00105">Helastic_Init()</a>, <a class="el" href="hexch__ani_8c_source.html#l00421">Hexchani()</a>, <a class="el" href="hexch__ani_8c_source.html#l00044">Hexchani_Init()</a>, <a class="el" href="hext__cu_8c_source.html#l00034">Hext_cu_Init()</a>, <a class="el" href="hext__ho_8c_source.html#l00201">Hext_ho_Init()</a>, <a class="el" href="hext__kq_8c_source.html#l00056">Hext_kq_Init()</a>, <a class="el" href="hext__py_8c_source.html#l00036">Hext_py_Init()</a>, <a class="el" href="hexternal_8c_source.html#l00042">Hexternal_Init()</a>, <a class="el" href="htot_8c_source.html#l00228">Htot_EminiEnergy()</a>, <a class="el" href="htot_8c_source.html#l00215">Htot_Energy()</a>, <a class="el" href="htot_8c_source.html#l00041">Htot_Init()</a>, <a class="el" href="main_8c_source.html#l00146">keepsolving()</a>, <a class="el" href="maginit_8c_source.html#l00029">MagInit()</a>, <a class="el" href="magset_8c_source.html#l00031">MagSet()</a>, <a class="el" href="eminisolve_8c_source.html#l00306">myTSCreateEmini()</a>, <a class="el" href="mytscreatepvode_8c_source.html#l00308">myTSCreatePVode()</a>, <a class="el" href="mytssteppvode_8c_source.html#l00029">myTSStepPVode()</a>, <a class="el" href="parinit_8c_source.html#l00054">ParInit()</a>, <a class="el" href="reorder_8c_source.html#l00112">PermuteData()</a>, <a class="el" href="precond_8c_source.html#l00327">Precond()</a>, <a class="el" href="precond_8c_source.html#l00036">Precond_Init()</a>, <a class="el" href="mytscreatepvode_8c_source.html#l00237">PVodeReInit()</a>, <a class="el" href="regrefine_8c_source.html#l00030">RegularRefinement()</a>, <a class="el" href="rhsfunction_8c_source.html#l00031">RHSfunction()</a>, <a class="el" href="serinit_8c_source.html#l00034">SerInit()</a>, <a class="el" href="eminisolve_8c_source.html#l00076">TaoEvalEnergyGrad()</a>, <a class="el" href="writedataavs_8c_source.html#l00055">WriteAVS()</a>, <a class="el" href="writedatadat_8c_source.html#l00380">WriteDat()</a>, <a class="el" href="writelog_8c_source.html#l00206">WriteLogData()</a>, <a class="el" href="writelog_8c_source.html#l00061">WriteLogInit()</a>, <a class="el" href="writelog__pid_8c_source.html#l00235">WriteLogPid()</a>, <a class="el" href="writelog__pid_8c_source.html#l00050">WriteLogPidInit()</a>, <a class="el" href="writedatapng_8c_source.html#l00168">WritePNG()</a>, and <a class="el" href="writedatapng2_8c_source.html#l00168">WritePNG2()</a>.</p>

</div>
</div>
<a class="anchor" id="ae420f7fb3d60720f21c5852955b94eae"></a><!-- doxytag: member="GridData::mode" ref="ae420f7fb3d60720f21c5852955b94eae" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structGridData.html#ae420f7fb3d60720f21c5852955b94eae">GridData::mode</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>integration method (defined in allopt.txt) </p>

<p>Definition at line <a class="el" href="griddata_8h_source.html#l00147">147</a> of file <a class="el" href="griddata_8h_source.html">griddata.h</a>.</p>

<p>Referenced by <a class="el" href="calc__dMdt_8c_source.html#l00034">calc_dMdt()</a>, <a class="el" href="checkiterationemini_8c_source.html#l00071">CheckIterationEmini()</a>, <a class="el" href="checkiterationllg_8c_source.html#l00318">CheckIterationLLG()</a>, <a class="el" href="eminisolve_8c_source.html#l00191">ConvTest()</a>, <a class="el" href="eminisolve_8c_source.html#l00466">EminiSolve()</a>, <a class="el" href="hdemag_8c_source.html#l00774">Hdemag()</a>, <a class="el" href="hext__ho_8c_source.html#l00067">Hext_ho_hstep()</a>, <a class="el" href="hext__ho_8c_source.html#l00102">Hext_ho_hsweep()</a>, <a class="el" href="hext__ho_8c_source.html#l00201">Hext_ho_Init()</a>, <a class="el" href="htot_8c_source.html#l00228">Htot_EminiEnergy()</a>, <a class="el" href="main_8c_source.html#l00146">keepsolving()</a>, <a class="el" href="eminisolve_8c_source.html#l00306">myTSCreateEmini()</a>, <a class="el" href="parinit_8c_source.html#l00054">ParInit()</a>, <a class="el" href="main_8c_source.html#l00285">Solve()</a>, <a class="el" href="eminisolve_8c_source.html#l00076">TaoEvalEnergyGrad()</a>, and <a class="el" href="writelog__pvode_8c_source.html#l00041">WriteLogPVodeInit()</a>.</p>

</div>
</div>
<a class="anchor" id="a0d57327dd6a657273e24613f3edd7fce"></a><!-- doxytag: member="GridData::n_bnd_fac" ref="a0d57327dd6a657273e24613f3edd7fce" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structGridData.html#a0d57327dd6a657273e24613f3edd7fce">GridData::n_bnd_fac</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>number of boundary faces </p>

<p>Definition at line <a class="el" href="griddata_8h_source.html#l00211">211</a> of file <a class="el" href="griddata_8h_source.html">griddata.h</a>.</p>

<p>Referenced by <a class="el" href="movedata_8c_source.html#l00030">DataMoveData()</a>, <a class="el" href="elevertvol_8c_source.html#l00178">EleVertVol()</a>, and <a class="el" href="facnb_8c_source.html#l00055">FacNB()</a>.</p>

</div>
</div>
<a class="anchor" id="a45e64fa5ec485379f8171edbd95c79d9"></a><!-- doxytag: member="GridData::n_ele" ref="a45e64fa5ec485379f8171edbd95c79d9" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structGridData.html#a45e64fa5ec485379f8171edbd95c79d9">GridData::n_ele</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>number of elements </p>

<p>Definition at line <a class="el" href="griddata_8h_source.html#l00165">165</a> of file <a class="el" href="griddata_8h_source.html">griddata.h</a>.</p>

<p>Referenced by <a class="el" href="reorder_8c_source.html#l00030">CheckPartition()</a>, <a class="el" href="movedata_8c_source.html#l00030">DataMoveData()</a>, <a class="el" href="parteleser_8c_source.html#l00104">DataPartitionElementsSer()</a>, <a class="el" href="elevertvol_8c_source.html#l00178">EleVertVol()</a>, <a class="el" href="facnb_8c_source.html#l00055">FacNB()</a>, <a class="el" href="hdemag_8c_source.html#l00067">Hdemag_Init()</a>, <a class="el" href="hexch__ani_8c_source.html#l00044">Hexchani_Init()</a>, <a class="el" href="parteleser_8c_source.html#l00038">MetisPartition()</a>, <a class="el" href="modifyprop__ser_8c_source.html#l00031">ModifyPropSer()</a>, <a class="el" href="reorder_8c_source.html#l00231">OptimizeBandwidth()</a>, <a class="el" href="reorder_8c_source.html#l00112">PermuteData()</a>, <a class="el" href="area_8c_source.html#l00114">PidSharedArea()</a>, <a class="el" href="precond_8c_source.html#l00036">Precond_Init()</a>, <a class="el" href="readpatran_8c_source.html#l00031">ReadPatran()</a>, <a class="el" href="regrefine_8c_source.html#l00030">RegularRefinement()</a>, <a class="el" href="reorder_8c_source.html#l00399">Reorder()</a>, <a class="el" href="serinit_8c_source.html#l00034">SerInit()</a>, <a class="el" href="reorder_8c_source.html#l00326">TrivialPartitioning()</a>, <a class="el" href="vertprop_8c_source.html#l00029">VertProp()</a>, <a class="el" href="writedataavs_8c_source.html#l00055">WriteAVS()</a>, and <a class="el" href="writefemavs_8c_source.html#l00044">WriteFEMAVS()</a>.</p>

</div>
</div>
<a class="anchor" id="a4c7b7cea771dca3b63a4a37b0666ffc5"></a><!-- doxytag: member="GridData::n_prop" ref="a4c7b7cea771dca3b63a4a37b0666ffc5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structGridData.html#a4c7b7cea771dca3b63a4a37b0666ffc5">GridData::n_prop</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>number of material properties (grains) </p>

<p>Definition at line <a class="el" href="griddata_8h_source.html#l00220">220</a> of file <a class="el" href="griddata_8h_source.html">griddata.h</a>.</p>

<p>Referenced by <a class="el" href="calAfe2fe_8c_source.html#l00029">CalAfe2fe()</a>, <a class="el" href="movedata_8c_source.html#l00030">DataMoveData()</a>, <a class="el" href="elevertvol_8c_source.html#l00178">EleVertVol()</a>, <a class="el" href="hcubic_8c_source.html#l00037">Hcubic_Init()</a>, <a class="el" href="helastic_8c_source.html#l00105">Helastic_Init()</a>, <a class="el" href="hexch__ani_8c_source.html#l00044">Hexchani_Init()</a>, <a class="el" href="maginit_8c_source.html#l00029">MagInit()</a>, <a class="el" href="modifyprop__par_8c_source.html#l00030">ModifyPropPar()</a>, <a class="el" href="modifyprop__ser_8c_source.html#l00031">ModifyPropSer()</a>, <a class="el" href="area_8c_source.html#l00114">PidSharedArea()</a>, <a class="el" href="readkrn_8c_source.html#l00073">ReadKrn()</a>, <a class="el" href="readpatran_8c_source.html#l00031">ReadPatran()</a>, <a class="el" href="vertprop_8c_source.html#l00029">VertProp()</a>, <a class="el" href="writelog__pid_8c_source.html#l00235">WriteLogPid()</a>, <a class="el" href="writelog__pid_8c_source.html#l00050">WriteLogPidInit()</a>, <a class="el" href="writedatapng2_8c_source.html#l00037">WritePNG2init()</a>, and <a class="el" href="writedatapng_8c_source.html#l00037">WritePNGinit()</a>.</p>

</div>
</div>
<a class="anchor" id="a170b7b2a45022cc3d4aaee232844e50c"></a><!-- doxytag: member="GridData::n_vert" ref="a170b7b2a45022cc3d4aaee232844e50c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structGridData.html#a170b7b2a45022cc3d4aaee232844e50c">GridData::n_vert</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>number of vertices </p>

<p>Definition at line <a class="el" href="griddata_8h_source.html#l00164">164</a> of file <a class="el" href="griddata_8h_source.html">griddata.h</a>.</p>

<p>Referenced by <a class="el" href="bmatrix_8c_source.html#l00064">BMatrix()</a>, <a class="el" href="calAfe2fe_8c_source.html#l00029">CalAfe2fe()</a>, <a class="el" href="calAfe2sq_8c_source.html#l00068">CalAfe2sq()</a>, <a class="el" href="calAsq2fe_8c_source.html#l00029">CalAsq2fe()</a>, <a class="el" href="reorder_8c_source.html#l00030">CheckPartition()</a>, <a class="el" href="movedata_8c_source.html#l00030">DataMoveData()</a>, <a class="el" href="parteleser_8c_source.html#l00104">DataPartitionElementsSer()</a>, <a class="el" href="elevertvol_8c_source.html#l00178">EleVertVol()</a>, <a class="el" href="facnb_8c_source.html#l00055">FacNB()</a>, <a class="el" href="hdemag_8c_source.html#l00067">Hdemag_Init()</a>, <a class="el" href="hexch__ani_8c_source.html#l00044">Hexchani_Init()</a>, <a class="el" href="maginit_8c_source.html#l00029">MagInit()</a>, <a class="el" href="magset_8c_source.html#l00031">MagSet()</a>, <a class="el" href="parteleser_8c_source.html#l00038">MetisPartition()</a>, <a class="el" href="modifyprop__ser_8c_source.html#l00031">ModifyPropSer()</a>, <a class="el" href="myllgjacobian_8c_source.html#l00033">myLLGJacobian()</a>, <a class="el" href="eminisolve_8c_source.html#l00306">myTSCreateEmini()</a>, <a class="el" href="mytscreatepvode_8c_source.html#l00308">myTSCreatePVode()</a>, <a class="el" href="reorder_8c_source.html#l00231">OptimizeBandwidth()</a>, <a class="el" href="reorder_8c_source.html#l00112">PermuteData()</a>, <a class="el" href="area_8c_source.html#l00114">PidSharedArea()</a>, <a class="el" href="precond_8c_source.html#l00036">Precond_Init()</a>, <a class="el" href="readinp_8c_source.html#l00031">ReadINP()</a>, <a class="el" href="readpatran_8c_source.html#l00031">ReadPatran()</a>, <a class="el" href="regrefine_8c_source.html#l00030">RegularRefinement()</a>, <a class="el" href="reorder_8c_source.html#l00399">Reorder()</a>, <a class="el" href="serinit_8c_source.html#l00034">SerInit()</a>, <a class="el" href="reorder_8c_source.html#l00326">TrivialPartitioning()</a>, <a class="el" href="vertprop_8c_source.html#l00029">VertProp()</a>, <a class="el" href="writedataavs_8c_source.html#l00055">WriteAVS()</a>, <a class="el" href="writedatadat_8c_source.html#l00042">WriteDatInit()</a>, <a class="el" href="writefemavs_8c_source.html#l00044">WriteFEMAVS()</a>, <a class="el" href="writelog__pid_8c_source.html#l00050">WriteLogPidInit()</a>, <a class="el" href="writedatapng2_8c_source.html#l00037">WritePNG2init()</a>, and <a class="el" href="writedatapng_8c_source.html#l00037">WritePNGinit()</a>.</p>

</div>
</div>
<a class="anchor" id="a916cbd12c058654799cd18db685734c5"></a><!-- doxytag: member="GridData::n_vert_bnd" ref="a916cbd12c058654799cd18db685734c5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structGridData.html#a916cbd12c058654799cd18db685734c5">GridData::n_vert_bnd</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>number of vertices on the boundary </p>

<p>Definition at line <a class="el" href="griddata_8h_source.html#l00210">210</a> of file <a class="el" href="griddata_8h_source.html">griddata.h</a>.</p>

<p>Referenced by <a class="el" href="bmatrix_8c_source.html#l00064">BMatrix()</a>, <a class="el" href="movedata_8c_source.html#l00030">DataMoveData()</a>, <a class="el" href="elevertvol_8c_source.html#l00178">EleVertVol()</a>, <a class="el" href="facnb_8c_source.html#l00055">FacNB()</a>, and <a class="el" href="hdemag_8c_source.html#l00067">Hdemag_Init()</a>.</p>

</div>
</div>
<a class="anchor" id="a3df9afbdf3e91a79a68b52cae80020f4"></a><!-- doxytag: member="GridData::propdat" ref="a3df9afbdf3e91a79a68b52cae80020f4" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">PetscReal* <a class="el" href="structGridData.html#a3df9afbdf3e91a79a68b52cae80020f4">GridData::propdat</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p><a class="el" href="griddata_8h.html#ab04c88bedc6b2be8ddfe7aa8d3e93f06">NP</a> material properties: 0: theta; 1: phi; 2: K1; 3: K2; 4: Js; 5: A; 6: e_cubic_1_x; 7: e_cubic_1_y; 8: e_cubic_1_z; 9: alpha; 10: e_cubic_2_x; 11: e_cubic_2_y; 12: e_cubic_2_z; 13: e_cubic_3_x; 14: e_cubic_3_y; 15: e_cubic_3_z; 16: anisotropy cubic ? 0-false-uniaxial : 1-cubic </p>

<p>Definition at line <a class="el" href="griddata_8h_source.html#l00221">221</a> of file <a class="el" href="griddata_8h_source.html">griddata.h</a>.</p>

<p>Referenced by <a class="el" href="calc__dMdt_8c_source.html#l00034">calc_dMdt()</a>, <a class="el" href="movedata_8c_source.html#l00030">DataMoveData()</a>, <a class="el" href="elevertvol_8c_source.html#l00178">EleVertVol()</a>, <a class="el" href="hcubic_8c_source.html#l00064">Hcubic()</a>, <a class="el" href="hcubic_8c_source.html#l00037">Hcubic_Init()</a>, <a class="el" href="hdemag_8c_source.html#l00067">Hdemag_Init()</a>, <a class="el" href="helastic_8c_source.html#l00186">Helastic()</a>, <a class="el" href="hexch__ani_8c_source.html#l00044">Hexchani_Init()</a>, <a class="el" href="hext__ho_8c_source.html#l00201">Hext_ho_Init()</a>, <a class="el" href="htot_8c_source.html#l00096">Htot_Gradient()</a>, <a class="el" href="magset_8c_source.html#l00031">MagSet()</a>, <a class="el" href="modifyprop__par_8c_source.html#l00030">ModifyPropPar()</a>, <a class="el" href="modifyprop__ser_8c_source.html#l00031">ModifyPropSer()</a>, <a class="el" href="myllgjacobian_8c_source.html#l00033">myLLGJacobian()</a>, <a class="el" href="eminisolve_8c_source.html#l00306">myTSCreateEmini()</a>, <a class="el" href="readkrn_8c_source.html#l00073">ReadKrn()</a>, <a class="el" href="serinit_8c_source.html#l00034">SerInit()</a>, <a class="el" href="eminisolve_8c_source.html#l00076">TaoEvalEnergyGrad()</a>, <a class="el" href="vertprop_8c_source.html#l00029">VertProp()</a>, <a class="el" href="writefemavs_8c_source.html#l00044">WriteFEMAVS()</a>, and <a class="el" href="writelog_8c_source.html#l00061">WriteLogInit()</a>.</p>

</div>
</div>
<a class="anchor" id="a2fba16fa768b0451df8fd12ed00a6c6b"></a><!-- doxytag: member="GridData::simname" ref="a2fba16fa768b0451df8fd12ed00a6c6b" args="[256]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char <a class="el" href="structGridData.html#a2fba16fa768b0451df8fd12ed00a6c6b">GridData::simname</a>[256]</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>project name, basename for output files (*.inp, *.off, etc.) </p>

<p>Definition at line <a class="el" href="griddata_8h_source.html#l00142">142</a> of file <a class="el" href="griddata_8h_source.html">griddata.h</a>.</p>

<p>Referenced by <a class="el" href="elevertvol_8c_source.html#l00178">EleVertVol()</a>, <a class="el" href="magset_8c_source.html#l00031">MagSet()</a>, <a class="el" href="modifyprop__par_8c_source.html#l00030">ModifyPropPar()</a>, <a class="el" href="readkrn_8c_source.html#l00073">ReadKrn()</a>, <a class="el" href="readmesh_8c_source.html#l00029">ReadMesh()</a>, <a class="el" href="readpatran_8c_source.html#l00031">ReadPatran()</a>, <a class="el" href="serinit_8c_source.html#l00034">SerInit()</a>, <a class="el" href="writedataavs_8c_source.html#l00055">WriteAVS()</a>, <a class="el" href="writedatadat_8c_source.html#l00380">WriteDat()</a>, <a class="el" href="writedatadat_8c_source.html#l00042">WriteDatInit()</a>, <a class="el" href="writefemavs_8c_source.html#l00044">WriteFEMAVS()</a>, <a class="el" href="writelog_8c_source.html#l00061">WriteLogInit()</a>, <a class="el" href="writelog__pid_8c_source.html#l00050">WriteLogPidInit()</a>, <a class="el" href="writelog__pvode_8c_source.html#l00041">WriteLogPVodeInit()</a>, <a class="el" href="writedatapng_8c_source.html#l00168">WritePNG()</a>, and <a class="el" href="writedatapng2_8c_source.html#l00168">WritePNG2()</a>.</p>

</div>
</div>
<a class="anchor" id="a9eb9246406e97a2a4a8a9c471b11aa2a"></a><!-- doxytag: member="GridData::time" ref="a9eb9246406e97a2a4a8a9c471b11aa2a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">PetscReal <a class="el" href="structGridData.html#a9eb9246406e97a2a4a8a9c471b11aa2a">GridData::time</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>absolute time </p>

<p>Definition at line <a class="el" href="griddata_8h_source.html#l00145">145</a> of file <a class="el" href="griddata_8h_source.html">griddata.h</a>.</p>

<p>Referenced by <a class="el" href="checkiterationllg_8c_source.html#l00098">adjtol()</a>, <a class="el" href="checkiterationllg_8c_source.html#l00057">adjtoldem()</a>, <a class="el" href="calc__dMdt_8c_source.html#l00034">calc_dMdt()</a>, <a class="el" href="checkiterationemini_8c_source.html#l00071">CheckIterationEmini()</a>, <a class="el" href="checkiterationllg_8c_source.html#l00318">CheckIterationLLG()</a>, <a class="el" href="checkiterationllg_8c_source.html#l00167">CheckIterationLLG_Init()</a>, <a class="el" href="hdemag_8c_source.html#l00774">Hdemag()</a>, <a class="el" href="hext__ho_8c_source.html#l00387">Hext_ho()</a>, <a class="el" href="hext__ho_8c_source.html#l00102">Hext_ho_hsweep()</a>, <a class="el" href="hext__ho_8c_source.html#l00201">Hext_ho_Init()</a>, <a class="el" href="hext__py_8c_source.html#l00163">Hext_py()</a>, <a class="el" href="main_8c_source.html#l00146">keepsolving()</a>, <a class="el" href="eminisolve_8c_source.html#l00306">myTSCreateEmini()</a>, <a class="el" href="mytssteppvode_8c_source.html#l00029">myTSStepPVode()</a>, <a class="el" href="parinit_8c_source.html#l00054">ParInit()</a>, <a class="el" href="precond_8c_source.html#l00327">Precond()</a>, <a class="el" href="precond_8c_source.html#l00036">Precond_Init()</a>, <a class="el" href="mytscreatepvode_8c_source.html#l00042">PVodeInit()</a>, <a class="el" href="mytscreatepvode_8c_source.html#l00237">PVodeReInit()</a>, <a class="el" href="rhsfunction_8c_source.html#l00031">RHSfunction()</a>, <a class="el" href="writelog_8c_source.html#l00206">WriteLogData()</a>, <a class="el" href="writelog__pid_8c_source.html#l00235">WriteLogPid()</a>, <a class="el" href="writelog__pvode_8c_source.html#l00120">WriteLogPVode()</a>, <a class="el" href="writedatapng_8c_source.html#l00168">WritePNG()</a>, and <a class="el" href="writedatapng2_8c_source.html#l00168">WritePNG2()</a>.</p>

</div>
</div>
<a class="anchor" id="a0ced0eaa5cb25c25363907973c7e69d6"></a><!-- doxytag: member="GridData::totvol" ref="a0ced0eaa5cb25c25363907973c7e69d6" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">PetscReal <a class="el" href="structGridData.html#a0ced0eaa5cb25c25363907973c7e69d6">GridData::totvol</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>total volume of magnetic material (Ms&gt;0) </p>

<p>Definition at line <a class="el" href="griddata_8h_source.html#l00263">263</a> of file <a class="el" href="griddata_8h_source.html">griddata.h</a>.</p>

<p>Referenced by <a class="el" href="htot_8c_source.html#l00176">CalcEnergy()</a>, <a class="el" href="elevertvol_8c_source.html#l00178">EleVertVol()</a>, <a class="el" href="hexch__ani_8c_source.html#l00044">Hexchani_Init()</a>, <a class="el" href="hext__ho_8c_source.html#l00201">Hext_ho_Init()</a>, <a class="el" href="htot_8c_source.html#l00228">Htot_EminiEnergy()</a>, <a class="el" href="writelog_8c_source.html#l00061">WriteLogInit()</a>, and <a class="el" href="writelog__pid_8c_source.html#l00235">WriteLogPid()</a>.</p>

</div>
</div>
<a class="anchor" id="ad7a22de0cb266e66e8dbcb1bb147bae8"></a><!-- doxytag: member="GridData::tscale" ref="ad7a22de0cb266e66e8dbcb1bb147bae8" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">PetscReal <a class="el" href="structGridData.html#ad7a22de0cb266e66e8dbcb1bb147bae8">GridData::tscale</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>scaling factor for dimensionless time </p>

<p>Definition at line <a class="el" href="griddata_8h_source.html#l00150">150</a> of file <a class="el" href="griddata_8h_source.html">griddata.h</a>.</p>

<p>Referenced by <a class="el" href="checkiterationllg_8c_source.html#l00098">adjtol()</a>, <a class="el" href="checkiterationllg_8c_source.html#l00057">adjtoldem()</a>, <a class="el" href="checkiterationemini_8c_source.html#l00071">CheckIterationEmini()</a>, <a class="el" href="checkiterationllg_8c_source.html#l00318">CheckIterationLLG()</a>, <a class="el" href="checkiterationllg_8c_source.html#l00167">CheckIterationLLG_Init()</a>, <a class="el" href="hdemag_8c_source.html#l00774">Hdemag()</a>, <a class="el" href="hext__ho_8c_source.html#l00387">Hext_ho()</a>, <a class="el" href="hext__ho_8c_source.html#l00201">Hext_ho_Init()</a>, <a class="el" href="hext__py_8c_source.html#l00163">Hext_py()</a>, <a class="el" href="main_8c_source.html#l00146">keepsolving()</a>, <a class="el" href="parinit_8c_source.html#l00054">ParInit()</a>, <a class="el" href="mytscreatepvode_8c_source.html#l00042">PVodeInit()</a>, <a class="el" href="mytscreatepvode_8c_source.html#l00237">PVodeReInit()</a>, <a class="el" href="readkrn_8c_source.html#l00073">ReadKrn()</a>, <a class="el" href="writelog_8c_source.html#l00206">WriteLogData()</a>, <a class="el" href="writelog__pid_8c_source.html#l00235">WriteLogPid()</a>, <a class="el" href="writelog__pvode_8c_source.html#l00120">WriteLogPVode()</a>, <a class="el" href="writedatapng_8c_source.html#l00168">WritePNG()</a>, and <a class="el" href="writedatapng2_8c_source.html#l00168">WritePNG2()</a>.</p>

</div>
</div>
<a class="anchor" id="ad44d2e83b58c9fc6b13f7fb3258bc323"></a><!-- doxytag: member="GridData::vequil" ref="ad44d2e83b58c9fc6b13f7fb3258bc323" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">PetscReal <a class="el" href="structGridData.html#ad44d2e83b58c9fc6b13f7fb3258bc323">GridData::vequil</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>measure for equilibrium: max(dM/dt) TODO: RM </p>

<p>Definition at line <a class="el" href="griddata_8h_source.html#l00265">265</a> of file <a class="el" href="griddata_8h_source.html">griddata.h</a>.</p>

<p>Referenced by <a class="el" href="checkiterationllg_8c_source.html#l00318">CheckIterationLLG()</a>, <a class="el" href="eminisolve_8c_source.html#l00191">ConvTest()</a>, <a class="el" href="parinit_8c_source.html#l00054">ParInit()</a>, and <a class="el" href="writelog_8c_source.html#l00206">WriteLogData()</a>.</p>

</div>
</div>
<a class="anchor" id="a61acba7bde22d0fdea2069433662f6b5"></a><!-- doxytag: member="GridData::vertbndg2bnd" ref="a61acba7bde22d0fdea2069433662f6b5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int* <a class="el" href="structGridData.html#a61acba7bde22d0fdea2069433662f6b5">GridData::vertbndg2bnd</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>mapping global vertex id -&gt; "boundary vertex counter" </p>

<p>Definition at line <a class="el" href="griddata_8h_source.html#l00213">213</a> of file <a class="el" href="griddata_8h_source.html">griddata.h</a>.</p>

<p>Referenced by <a class="el" href="bmatrix_8c_source.html#l00064">BMatrix()</a>, <a class="el" href="destroyinit_8c_source.html#l00029">DataDestroyInit()</a>, <a class="el" href="movedata_8c_source.html#l00030">DataMoveData()</a>, <a class="el" href="distortmesh_8c_source.html#l00029">DistortMesh()</a>, <a class="el" href="facnb_8c_source.html#l00055">FacNB()</a>, and <a class="el" href="hdemag_8c_source.html#l00067">Hdemag_Init()</a>.</p>

</div>
</div>
<a class="anchor" id="a45017e8b920340403c64fa136a33044a"></a><!-- doxytag: member="GridData::vertl2g" ref="a45017e8b920340403c64fa136a33044a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int* <a class="el" href="structGridData.html#a45017e8b920340403c64fa136a33044a">GridData::vertl2g</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>mapping local vertex id -&gt; global vertex id </p>

<p>Definition at line <a class="el" href="griddata_8h_source.html#l00179">179</a> of file <a class="el" href="griddata_8h_source.html">griddata.h</a>.</p>

<p>Referenced by <a class="el" href="bmatrix_8c_source.html#l00064">BMatrix()</a>, <a class="el" href="calAfe2fe_8c_source.html#l00029">CalAfe2fe()</a>, <a class="el" href="calAsq2fe_8c_source.html#l00029">CalAsq2fe()</a>, <a class="el" href="reorder_8c_source.html#l00030">CheckPartition()</a>, <a class="el" href="movedata_8c_source.html#l00030">DataMoveData()</a>, <a class="el" href="parteleser_8c_source.html#l00104">DataPartitionElementsSer()</a>, <a class="el" href="distortmesh_8c_source.html#l00029">DistortMesh()</a>, <a class="el" href="hext__cu_8c_source.html#l00034">Hext_cu_Init()</a>, <a class="el" href="hext__kq_8c_source.html#l00056">Hext_kq_Init()</a>, <a class="el" href="hext__py_8c_source.html#l00036">Hext_py_Init()</a>, <a class="el" href="parteleser_8c_source.html#l00038">MetisPartition()</a>, <a class="el" href="myllgjacobian_8c_source.html#l00033">myLLGJacobian()</a>, <a class="el" href="reorder_8c_source.html#l00231">OptimizeBandwidth()</a>, <a class="el" href="reorder_8c_source.html#l00112">PermuteData()</a>, <a class="el" href="precond_8c_source.html#l00036">Precond_Init()</a>, <a class="el" href="reorder_8c_source.html#l00399">Reorder()</a>, <a class="el" href="reorder_8c_source.html#l00326">TrivialPartitioning()</a>, <a class="el" href="writedataavs_8c_source.html#l00055">WriteAVS()</a>, and <a class="el" href="writefemavs_8c_source.html#l00044">WriteFEMAVS()</a>.</p>

</div>
</div>
<a class="anchor" id="a81f9058aeac41c1da988bdd8ca96ad6f"></a><!-- doxytag: member="GridData::vertnewproc" ref="a81f9058aeac41c1da988bdd8ca96ad6f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int* <a class="el" href="structGridData.html#a81f9058aeac41c1da988bdd8ca96ad6f">GridData::vertnewproc</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>assignment of vertices to new processors </p>

<p>Definition at line <a class="el" href="griddata_8h_source.html#l00180">180</a> of file <a class="el" href="griddata_8h_source.html">griddata.h</a>.</p>

<p>Referenced by <a class="el" href="reorder_8c_source.html#l00030">CheckPartition()</a>, <a class="el" href="movedata_8c_source.html#l00030">DataMoveData()</a>, <a class="el" href="parteleser_8c_source.html#l00104">DataPartitionElementsSer()</a>, <a class="el" href="parteleser_8c_source.html#l00038">MetisPartition()</a>, <a class="el" href="reorder_8c_source.html#l00231">OptimizeBandwidth()</a>, <a class="el" href="reorder_8c_source.html#l00112">PermuteData()</a>, <a class="el" href="reorder_8c_source.html#l00399">Reorder()</a>, and <a class="el" href="reorder_8c_source.html#l00326">TrivialPartitioning()</a>.</p>

</div>
</div>
<a class="anchor" id="a5b4aaaf0ac71daeb341f45b50b6c744e"></a><!-- doxytag: member="GridData::vertprop" ref="a5b4aaaf0ac71daeb341f45b50b6c744e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int* <a class="el" href="structGridData.html#a5b4aaaf0ac71daeb341f45b50b6c744e">GridData::vertprop</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>property id assigned to each vertex </p>

<p>Definition at line <a class="el" href="griddata_8h_source.html#l00182">182</a> of file <a class="el" href="griddata_8h_source.html">griddata.h</a>.</p>

<p>Referenced by <a class="el" href="calAsq2fe_8c_source.html#l00029">CalAsq2fe()</a>, <a class="el" href="calc__dMdt_8c_source.html#l00034">calc_dMdt()</a>, <a class="el" href="movedata_8c_source.html#l00030">DataMoveData()</a>, <a class="el" href="hcubic_8c_source.html#l00064">Hcubic()</a>, <a class="el" href="helastic_8c_source.html#l00186">Helastic()</a>, <a class="el" href="htot_8c_source.html#l00096">Htot_Gradient()</a>, <a class="el" href="magset_8c_source.html#l00031">MagSet()</a>, <a class="el" href="myllgjacobian_8c_source.html#l00033">myLLGJacobian()</a>, <a class="el" href="eminisolve_8c_source.html#l00306">myTSCreateEmini()</a>, <a class="el" href="eminisolve_8c_source.html#l00076">TaoEvalEnergyGrad()</a>, <a class="el" href="vertprop_8c_source.html#l00029">VertProp()</a>, <a class="el" href="writefemavs_8c_source.html#l00044">WriteFEMAVS()</a>, and <a class="el" href="writelog_8c_source.html#l00061">WriteLogInit()</a>.</p>

</div>
</div>
<a class="anchor" id="a21683f539bbd0d68c0870cd0ece0de58"></a><!-- doxytag: member="GridData::vertvol" ref="a21683f539bbd0d68c0870cd0ece0de58" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Vec <a class="el" href="structGridData.html#a21683f539bbd0d68c0870cd0ece0de58">GridData::vertvol</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>"volume" assigned to each vertex </p>

<p>Definition at line <a class="el" href="griddata_8h_source.html#l00181">181</a> of file <a class="el" href="griddata_8h_source.html">griddata.h</a>.</p>

<p>Referenced by <a class="el" href="elevertvol_8c_source.html#l00178">EleVertVol()</a>, <a class="el" href="hdemag_8c_source.html#l00067">Hdemag_Init()</a>, <a class="el" href="writefemavs_8c_source.html#l00044">WriteFEMAVS()</a>, <a class="el" href="writelog_8c_source.html#l00061">WriteLogInit()</a>, and <a class="el" href="writelog__pid_8c_source.html#l00050">WriteLogPidInit()</a>.</p>

</div>
</div>
<a class="anchor" id="a1adbd5611aad877423d82c0ae9aae5ad"></a><!-- doxytag: member="GridData::vertxyz" ref="a1adbd5611aad877423d82c0ae9aae5ad" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">PetscReal* <a class="el" href="structGridData.html#a1adbd5611aad877423d82c0ae9aae5ad">GridData::vertxyz</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>(x,y,z) coordinates of all vertices </p>

<p>Definition at line <a class="el" href="griddata_8h_source.html#l00178">178</a> of file <a class="el" href="griddata_8h_source.html">griddata.h</a>.</p>

<p>Referenced by <a class="el" href="bmatrix_8c_source.html#l00064">BMatrix()</a>, <a class="el" href="calAfe2fe_8c_source.html#l00029">CalAfe2fe()</a>, <a class="el" href="movedata_8c_source.html#l00030">DataMoveData()</a>, <a class="el" href="distortmesh_8c_source.html#l00029">DistortMesh()</a>, <a class="el" href="elevertvol_8c_source.html#l00178">EleVertVol()</a>, <a class="el" href="facnb_8c_source.html#l00055">FacNB()</a>, <a class="el" href="hdemag_8c_source.html#l00067">Hdemag_Init()</a>, <a class="el" href="hexch__ani_8c_source.html#l00044">Hexchani_Init()</a>, <a class="el" href="hext__cu_8c_source.html#l00034">Hext_cu_Init()</a>, <a class="el" href="hext__kq_8c_source.html#l00056">Hext_kq_Init()</a>, <a class="el" href="hext__py_8c_source.html#l00036">Hext_py_Init()</a>, <a class="el" href="magset_8c_source.html#l00031">MagSet()</a>, <a class="el" href="modifyprop__par_8c_source.html#l00030">ModifyPropPar()</a>, <a class="el" href="modifyprop__ser_8c_source.html#l00031">ModifyPropSer()</a>, <a class="el" href="reorder_8c_source.html#l00112">PermuteData()</a>, <a class="el" href="area_8c_source.html#l00114">PidSharedArea()</a>, <a class="el" href="readinp_8c_source.html#l00031">ReadINP()</a>, <a class="el" href="readmesh_8c_source.html#l00029">ReadMesh()</a>, <a class="el" href="readpatran_8c_source.html#l00031">ReadPatran()</a>, <a class="el" href="regrefine_8c_source.html#l00030">RegularRefinement()</a>, <a class="el" href="serinit_8c_source.html#l00034">SerInit()</a>, <a class="el" href="bmatrix_8c_source.html#l00028">VertBSA()</a>, <a class="el" href="writedataavs_8c_source.html#l00055">WriteAVS()</a>, <a class="el" href="writedatadat_8c_source.html#l00042">WriteDatInit()</a>, <a class="el" href="writefemavs_8c_source.html#l00044">WriteFEMAVS()</a>, <a class="el" href="writedatapng2_8c_source.html#l00037">WritePNG2init()</a>, and <a class="el" href="writedatapng_8c_source.html#l00037">WritePNGinit()</a>.</p>

</div>
</div>
<a class="anchor" id="a776aed135c71061b20ec61cdbb39604d"></a><!-- doxytag: member="GridData::VHdem" ref="a776aed135c71061b20ec61cdbb39604d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Vec <a class="el" href="structGridData.html#a776aed135c71061b20ec61cdbb39604d">GridData::VHdem</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>demagnetizing=magnetostatic field </p>

<p>Definition at line <a class="el" href="griddata_8h_source.html#l00248">248</a> of file <a class="el" href="griddata_8h_source.html">griddata.h</a>.</p>

<p>Referenced by <a class="el" href="checkiterationllg_8c_source.html#l00057">adjtoldem()</a>, <a class="el" href="checkiterationllg_8c_source.html#l00318">CheckIterationLLG()</a>, <a class="el" href="hdemag_8c_source.html#l00774">Hdemag()</a>, <a class="el" href="hdemag_8c_source.html#l01063">Hdemag_Energy()</a>, <a class="el" href="hdemag_8c_source.html#l00067">Hdemag_Init()</a>, <a class="el" href="mytscreatepvode_8c_source.html#l00042">PVodeInit()</a>, and <a class="el" href="writedataavs_8c_source.html#l00055">WriteAVS()</a>.</p>

</div>
</div>
<a class="anchor" id="a17f878ef23cf508f086e5d1958657e3f"></a><!-- doxytag: member="GridData::VHexchani" ref="a17f878ef23cf508f086e5d1958657e3f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Vec <a class="el" href="structGridData.html#a17f878ef23cf508f086e5d1958657e3f">GridData::VHexchani</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>exchange + uniaxial anisotropy field </p>

<p>Definition at line <a class="el" href="griddata_8h_source.html#l00251">251</a> of file <a class="el" href="griddata_8h_source.html">griddata.h</a>.</p>

<p>Referenced by <a class="el" href="hexch__ani_8c_source.html#l00421">Hexchani()</a>, <a class="el" href="hexch__ani_8c_source.html#l00447">Hexchani_Energy()</a>, <a class="el" href="hexch__ani_8c_source.html#l00044">Hexchani_Init()</a>, and <a class="el" href="writedataavs_8c_source.html#l00055">WriteAVS()</a>.</p>

</div>
</div>
<a class="anchor" id="a9fdfeb31eb70dd07c65f5717feddcdbf"></a><!-- doxytag: member="GridData::VHext" ref="a9fdfeb31eb70dd07c65f5717feddcdbf" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Vec <a class="el" href="structGridData.html#a9fdfeb31eb70dd07c65f5717feddcdbf">GridData::VHext</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>external field </p>

<p>Definition at line <a class="el" href="griddata_8h_source.html#l00257">257</a> of file <a class="el" href="griddata_8h_source.html">griddata.h</a>.</p>

<p>Referenced by <a class="el" href="hext__cu_8c_source.html#l00034">Hext_cu_Init()</a>, <a class="el" href="hext__kq_8c_source.html#l00056">Hext_kq_Init()</a>, <a class="el" href="hexternal_8c_source.html#l00055">Hexternal()</a>, <a class="el" href="hexternal_8c_source.html#l00042">Hexternal_Init()</a>, and <a class="el" href="writedataavs_8c_source.html#l00055">WriteAVS()</a>.</p>

</div>
</div>
<a class="anchor" id="a377c12744bdd4ce50a6d4394bd25e49a"></a><!-- doxytag: member="GridData::VHtot" ref="a377c12744bdd4ce50a6d4394bd25e49a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Vec <a class="el" href="structGridData.html#a377c12744bdd4ce50a6d4394bd25e49a">GridData::VHtot</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>total field </p>

<p>Definition at line <a class="el" href="griddata_8h_source.html#l00259">259</a> of file <a class="el" href="griddata_8h_source.html">griddata.h</a>.</p>

<p>Referenced by <a class="el" href="calc__dMdt_8c_source.html#l00034">calc_dMdt()</a>, <a class="el" href="eminisolve_8c_source.html#l00466">EminiSolve()</a>, <a class="el" href="htot_8c_source.html#l00055">Htot()</a>, <a class="el" href="htot_8c_source.html#l00096">Htot_Gradient()</a>, <a class="el" href="htot_8c_source.html#l00041">Htot_Init()</a>, <a class="el" href="myllgjacobian_8c_source.html#l00033">myLLGJacobian()</a>, <a class="el" href="eminisolve_8c_source.html#l00076">TaoEvalEnergyGrad()</a>, <a class="el" href="writedatadat_8c_source.html#l00380">WriteDat()</a>, and <a class="el" href="writelog__pid_8c_source.html#l00235">WriteLogPid()</a>.</p>

</div>
</div>
<a class="anchor" id="ac9ae4905283e303be4794e8f222086cb"></a><!-- doxytag: member="GridData::VMs3" ref="ac9ae4905283e303be4794e8f222086cb" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Vec <a class="el" href="structGridData.html#ac9ae4905283e303be4794e8f222086cb">GridData::VMs3</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>vertex volume times Ms </p>

<p>Definition at line <a class="el" href="griddata_8h_source.html#l00249">249</a> of file <a class="el" href="griddata_8h_source.html">griddata.h</a>.</p>

<p>Referenced by <a class="el" href="htot_8c_source.html#l00176">CalcEnergy()</a>, <a class="el" href="elevertvol_8c_source.html#l00178">EleVertVol()</a>, <a class="el" href="hcubic_8c_source.html#l00064">Hcubic()</a>, <a class="el" href="hexch__ani_8c_source.html#l00044">Hexchani_Init()</a>, <a class="el" href="hext__ho_8c_source.html#l00201">Hext_ho_Init()</a>, <a class="el" href="htot_8c_source.html#l00228">Htot_EminiEnergy()</a>, <a class="el" href="htot_8c_source.html#l00215">Htot_Energy()</a>, <a class="el" href="htot_8c_source.html#l00096">Htot_Gradient()</a>, and <a class="el" href="eminisolve_8c_source.html#l00076">TaoEvalEnergyGrad()</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="griddata_8h_source.html">griddata.h</a></li>
</ul>
</div>
  <hr>
  <address>
    magpar - Parallel Finite Element Micromagnetics Package<br>
    Copyright (C) 2002-2010 Werner Scholz
  </address>
  </body>
</html>

